package org.modeshape.ejbtest;

import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.ejb.Singleton;
import javax.ejb.Startup;

import org.jboss.logging.Logger;

@Singleton
@Startup
public class RunTest  {
	
	private static Logger log = Logger.getLogger(RunTest.class);
	
	@EJB
	private CreateNodesTest createNodesTest;
	
	@EJB
	private VerifyNodesTest verifyNodesTest;
	
	@PostConstruct
	public void start() throws Exception {
		log.info("Running CreateNodesTest");
		createNodesTest.run();
		log.info("Returning");
	}
}
